com.sun.jna.platform.win32

## Class WinDef.UINT

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.UINT

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    WinDef

      public static class WinDef.UINT
      extends IntegerType

  32-bit unsigned int.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.UINT()` Instantiates a new uint.
    `WinDef.UINT(long value)` Instantiates a new uint.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.IntegerType

      `doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WinDef.UINT

          public WinDef.UINT()

      Instantiates a new uint.

    - #### WinDef.UINT

          public WinDef.UINT(long value)

      Instantiates a new uint.
      Parameters:
        `value` - the value

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.